Draft Clone/de: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 19: Line 19:
{{Caption|Clone next to the original object}}
{{Caption|Clone next to the original object}}


<div class="mw-translate-fuzzy">
==Anwendung==
==Anwendung==
# Wähle zu klonende Objekt
# Wähle ein zu klonendes Objekt.
# Drücke den {{Button|[[Image:Draft Clone.png|16px]] [[Draft Clone/de|Klon]]}}-Button
# Drücke den {{Button|[[Image:Draft Clone.svg|16px]] [[Draft Clone/de|Klonen]]}}-Button
</div>


Depending on its options, the {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale]]}} tool also creates a clone at a specified scale.
Depending on its options, the {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale]]}} tool also creates a clone at a specified scale.

Revision as of 14:07, 11 January 2019

Klonen

Menüeintrag
Entwurf → Klon
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Verschieben, Skalieren

Beschreibung

Dieses Werkzeug erstellt einen Klon (eine Kopie, die parametrisch an das Originalobjekt gebunden ist) eines ausgewählten Objekts. Wenn sich das Originalobjekt ändert, ändert sich auch der Klon, behält aber Position, Rotation und Größe.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Clone next to the original object

Anwendung

  1. Wähle ein zu klonendes Objekt.
  2. Drücke den Klonen-Button

Depending on its options, the Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DatenCloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Optionen

  • Klone von 2D-Objekten (Draft oder Sketch) sind ebenfalls 2D-Objekte und können deshalb für Part Design verwendet werden.
  • Alle Arch-Objekte haben die Möglichkeit, sich (durch Verwendung der CloneOf-Eigenschaft) als Klone zu verhalten. Wenn Du das Draft-Klon-Werkzeug an einem ausgewählten Arch-Objekt benutzt, wirst Du solch ein Arch-geklontes Objekt anstatt eines normalen Draft-Klons erstellen.

Eigenschaften

  • Daten-EigenschaftScale: Gibt einen optionalen Größenfaktor für den Klon an
  • Daten-EigenschaftFuse: Wenn dieser Klon verschiedene Objekte verwendet, gibt dies an, ob das Ergebnis eine Verbindung (fusion) oder ein Verbund ist introduced in version 0.17
  • Das Ergebnis des Skalieren-Werkzeugs ist ebenfalls ein Klon
  • Skizzen können nicht auf Oberflächen eines Klons abgebildet werden. Dies ist zur Zeit eine bekannte Einschränkung.

Scripting

Das Klon-Werkzeug kann mit Makros und von der Python-Konsole aus durch folgende Funktion verwendet werden:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Erstellt einen Klon des gegebenen Objekts (bzw. der Objekte)
  • Der Klon ist eine exakte, verbundene Kopie des gegebenen Objekts
  • Wenn sich das Originalobjekt ändert, ändert sich auch das endgültige Objekt. Optional kannst Du einen Delta-Vektor angeben, um den Klon weg von der originalen Position zu verschieben.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Beispiel:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()